using Godot;
using System;

public partial class Menu : Control
{
	[Export] AnimationPlayer anim;
	// Called when the node enters the scene tree for the first time.
	public override void _Ready()
	{
	}

	// Called every frame. 'delta' is the elapsed time since the previous frame.
	public override void _Process(double delta)
	{
	}

	public void ResumeDown()
	{
		
		Input.MouseMode = Input.MouseModeEnum.Hidden;
		anim.Play("resume");
	}

	public void OptionDown()
	{

	}

	public void ExitDown()
	{
		GetTree().Quit();
	}

	public void Res()
	{
		GetTree().Paused = false;
	}
}
